Global Const PRODUCT = "WinCim Message Dump Utility"

Global Const CR = 13
Global Const LF = 10

Global Const VERSIONNUM = "2.10"
Global Const CAB_DIR = "\FCABINET\CABINET\"
Global Const IN_BASKET_DIR = "\FCABINET\BASKET.IN"
Global Const OUT_BASKET_DIR = "\FCABINET\BASKET.OUT"
Global Const GENERAL_DIR = "General"
Global Const CAB_IDX = "CABINET.DAT"
Global Const FOLDER_PRFX = "FOLDER"
Global Const TMP_EXT = ".TMP"
Global Const ALL_FILES = "\*.*"
Global Const UNREAD_FLAG_POS = 26
Global Const MESSAGE_TYPE_POS = 10
Global Const MESSAGE_HEADER_POS = 27
Global Const PRINTABLE_CHAR = 32
Global Const EXTENDED_CHAR = 128
Global Const EOM = "@b"
Global Const FOLDER_DIR_LEN = 11
Global Const IN_BASKET = "In-Basket"
Global Const OUT_BASKET = "Out-Basket"
Global Const GENERAL_MSG = "General"
Global Const OUTBASKET_MSG = 2
Global Const INBASKET_MSG = 1
Global Const FILECAB_MSG = 3

Global WinCimDir As String
Global IdxFile As String
Global DataFile As String
Global OutFile As String
Global ReportData As String
Global NewMsgs As Integer
Global TmpOutFile As String
Global InBasketIdx As Integer
Global OutBasketIdx As Integer
Global GeneralIdx As Integer
Global MessageType As Integer
Global FileHeaderPos As Integer
Global IncludeFileName As Integer
Global DateSep As String * 2
Global TimeSep As String * 2
Global PMSuffix As String * 9
Global AMSuffix As String * 9

Type IdxRecord
    Folder As String * 11
    Section As String
End Type

Type MessageHeader
    Section As String
    Forum As String
    Subject As String
    From As String
    FromAddr As String
    To As String
    ToAddr As String
    MsgDate As String
    MsgTIme As String
End Type

Global IdxDataRecs() As IdxRecord
Global Hdr As MessageHeader

'-----------------------------------
'Common Dialog Control
'-----------------------------------
'Action Property
Global Const DLG_FILE_OPEN = 1
Global Const DLG_FILE_SAVE = 2
Global Const DLG_COLOR = 3
Global Const DLG_FONT = 4
Global Const DLG_PRINT = 5
Global Const DLG_HELP = 6

'File Open/Save Dialog Flags
Global Const OFN_READONLY = &H1&
Global Const OFN_OVERWRITEPROMPT = &H2&
Global Const OFN_HIDEREADONLY = &H4&
Global Const OFN_NOCHANGEDIR = &H8&
Global Const OFN_SHOWHELP = &H10&
Global Const OFN_NOVALIDATE = &H100&
Global Const OFN_ALLOWMULTISELECT = &H200&
Global Const OFN_EXTENTIONDIFFERENT = &H400&
Global Const OFN_PATHMUSTEXIST = &H800&
Global Const OFN_FILEMUSTEXIST = &H1000&
Global Const OFN_CREATEPROMPT = &H2000&
Global Const OFN_SHAREAWARE = &H4000&
Global Const OFN_NOREADONLYRETURN = &H8000&

'Printer Dialog Flags
Global Const PD_ALLPAGES = &H0&
Global Const PD_SELECTION = &H1&
Global Const PD_PAGENUMS = &H2&
Global Const PD_NOSELECTION = &H4&
Global Const PD_NOPAGENUMS = &H8&
Global Const PD_COLLATE = &H10&
Global Const PD_PRINTTOFILE = &H20&
Global Const PD_PRINTSETUP = &H40&
Global Const PD_NOWARNING = &H80&
Global Const PD_RETURNDC = &H100&
Global Const PD_RETURNIC = &H200&
Global Const PD_RETURNDEFAULT = &H400&
Global Const PD_SHOWHELP = &H800&
Global Const PD_USEDEVMODECOPIES = &H40000
Global Const PD_DISABLEPRINTTOFILE = &H80000
Global Const PD_HIDEPRINTTOFILE = &H100000

Declare Function GetProfileString Lib "Kernel" (ByVal lpAppName As String, ByVal lpKeyName As String, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Integer) As Integer
'Declare Function WriteProfileString Lib "Kernel" (ByVal lpApplicationName As String, lpKeyName As Any, lpString As Any) As Integer
Declare Function WriteProfileString Lib "Kernel" (ByVal lpApplicationName As String, ByVal lpKeyName As String, ByVal lpString As String) As Integer


